www.cendio.com
Bug 7386 - difficult to use Windows key in Web Access on mobile device
: difficult to use Windows key in Web Access on mobile device
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Blocker
: 4.11.0
Assigned To:
:
:
: 7365
:
  Show dependency treegraph
 
Reported: 2019-10-08 10:20 by
Modified: 2019-10-24 10:14 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2019-10-08 10:20:28
Mobile devices rarely include a Windows key in their keyboards. As such it is
very difficult to use desktop environments and applications that want to make
use of this key.

We already have extra keys for similar keys (Ctrl, Shift, Tab), so we could
just add a Windows key there.

And this is in fact what upstream has done:

https://github.com/novnc/noVNC/commit/3e835a5

The icon looks a bit blurry though so it might need some tweaking.
------- Comment #1 From cendio 2019-10-22 16:30:01 -------
Tested in nightly build (6272) and on:
* Windows 10 touch (Lamina) - Chrome 77, Firefox 66, Edge 18 and IE 11
* Android (Pixel) - Chrome 77, Firefox 68
* iOS - Safari 13

The windows key is present and works well.

(In reply to comment #0) 
> The icon looks a bit blurry though so it might need some tweaking.

I did not see this in any of the browsers, even zooming in on the icons. 
What I noticed though, is that all icons in control bar becomes blurry during
"Transparent <-> opaque" animation in Edge. This animation is triggered when
the control bar is interacted with.
------- Comment #3 From cendio 2019-10-23 10:48:31 -------
The Windows icon is still blurry.
------- Comment #5 From cendio 2019-10-23 15:56:24 -------
Fixed icon in place now.
------- Comment #6 From cendio 2019-10-24 10:14:23 -------
Release notes look good. Samuel approves of the new icon.